Index: docs/sphinx-docs/build_sphinx.py
===================================================================
--- docs/sphinx-docs/build_sphinx.py	(revision 7d6f1bd68000d672fda14e83c5e059afa957d71b)
+++ docs/sphinx-docs/build_sphinx.py	(revision 9dfb1f99b61cb2621373bcbd58cc4265b4122676)
@@ -100,3 +100,6 @@
 
 if __name__ == "__main__":
-    call()
+    clean()
+    retrieve_user_docs()
+    apidoc()
+    build()
Index: docs/sphinx-docs/source/conf.py
===================================================================
--- docs/sphinx-docs/source/conf.py	(revision 3586bd1c0e50057629d1ad5b0b8b3b0d1444fd4e)
+++ docs/sphinx-docs/source/conf.py	(revision 9dfb1f99b61cb2621373bcbd58cc4265b4122676)
@@ -12,10 +12,18 @@
 # serve to show the default.
 
-import sys, os
+import sys, os, collections
 
 # If extensions (or modules to document with autodoc) are in another directory,
 # add these directories to sys.path here. If the directory is relative to the
 # documentation root, use os.path.abspath to make it absolute, like shown here.
-sys.path.insert(0, os.path.abspath('../../src'))
+from distutils.util import get_platform
+platform = '.%s-%s'%(get_platform(),sys.version[:3])
+build_lib = os.path.abspath('../../../build/lib'+platform)
+sys.path.insert(0, build_lib)
+print "-- path --"
+print "\n".join(sys.path)
+import sans.sansview
+from sans.sansview import __version__ as sasview_version
+print "version:",sasview_version
 
 # -- General configuration -----------------------------------------------------
@@ -26,5 +34,9 @@
 # Add any Sphinx extension module names here, as strings. They can be extensions
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
-extensions = ['sphinx.ext.autodoc', 'sphinx.ext.todo', 'sphinx.ext.coverage', 'sphinx.ext.mathjax', 'sphinx.ext.viewcode']
+extensions = ['sphinx.ext.autodoc',
+              'sphinx.ext.todo',
+              'sphinx.ext.coverage',
+              'sphinx.ext.mathjax',
+              'sphinx.ext.viewcode']
 
 # Add any paths that contain templates here, relative to this directory.
@@ -65,5 +77,13 @@
 # List of patterns, relative to source directory, that match files and
 # directories to ignore when looking for source files.
-exclude_patterns = []
+#
+# PGP 2014/04/03: We have some code which doesn't get carried over to
+# the build directory.  Exclude the appropriate *.rst files here so
+# that we don't get various "ImportError: No module named ___" when
+# running Sphinx.
+exclude_patterns = ["*sans.perspectives.simulation.rst",
+                    "*sans.pr.c_extensions.rst",
+                    "*sans.realspace.rst",
+                    "*sans.simulation.rst",]
 
 # The reST default role (used for this markup: `text`) to use for all documents.
@@ -169,4 +189,9 @@
 # Output file base name for HTML help builder.
 htmlhelp_basename = 'SasViewdoc'
+
+# Turn off permalinks, which are a nice feature for the docs when viewed in a
+# browser, but which look weird (and cannot be "right-click->copy url") in
+# the SasView help.
+html_add_permalinks = ""
 
 
Index: docs/sphinx-docs/source/dev/dev.rst
===================================================================
--- docs/sphinx-docs/source/dev/dev.rst	(revision 9dfb1f99b61cb2621373bcbd58cc4265b4122676)
+++ docs/sphinx-docs/source/dev/dev.rst	(revision 9dfb1f99b61cb2621373bcbd58cc4265b4122676)
@@ -0,0 +1,17 @@
+Developer Documentation
+=======================
+
+Contents
+--------
+
+.. toctree::
+   :maxdepth: 1
+
+   SasView and Park API <api/modules>
+
+Indices and Search
+------------------
+
+* :ref:`genindex`
+* :ref:`modindex`
+* :ref:`search`
Index: docs/sphinx-docs/source/index.rst
===================================================================
--- docs/sphinx-docs/source/index.rst	(revision 3586bd1c0e50057629d1ad5b0b8b3b0d1444fd4e)
+++ docs/sphinx-docs/source/index.rst	(revision 9dfb1f99b61cb2621373bcbd58cc4265b4122676)
@@ -4,19 +4,11 @@
    contain the root `toctree` directive.
 
-SasView documentation
+SasView Documentation
 =====================
 
-Contents:
+.. toctree::
+   :maxdepth: 1
 
-.. toctree::
-   :maxdepth: 2
+   User Documentation <user/user>
 
-
-
-Indices and tables
-==================
-
-* :ref:`genindex`
-* :ref:`modindex`
-* :ref:`search`
-
+   Developer Documentation <dev/dev>
Index: docs/sphinx-docs/source/user/user.rst
===================================================================
--- docs/sphinx-docs/source/user/user.rst	(revision 9dfb1f99b61cb2621373bcbd58cc4265b4122676)
+++ docs/sphinx-docs/source/user/user.rst	(revision 9dfb1f99b61cb2621373bcbd58cc4265b4122676)
@@ -0,0 +1,7 @@
+User Documentation
+==================
+
+.. toctree::
+   :maxdepth: 1
+
+   Models <models/model_functions>
